xn::ModuleUserGenerator Class Referenceabstract

`#include <XnModuleCppInterface.h>`

Inheritance diagram for xn::ModuleUserGenerator:
[legend]

## Public Member Functions

virtual | ~ModuleUserGenerator ()
virtual const void * | GetData ()
virtual XnUInt16 | GetNumberOfUsers ()=0
virtual XnStatus | GetUsers (XnUserID *pUsers, XnUInt16 &nUsers)=0
virtual XnStatus | GetCoM (XnUserID user, XnPoint3D &com)=0
virtual XnStatus | GetUserPixels (XnUserID user, XnSceneMetaData *pScene)=0
virtual XnStatus | RegisterUserCallbacks (XnModuleUserHandler NewUserCB, XnModuleUserHandler LostUserCB, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterUserCallbacks (XnCallbackHandle hCallback)=0
virtual ModuleSkeletonInterface * | GetSkeletonInterface ()
virtual ModulePoseDetectionInteface * | GetPoseDetectionInteface ()
virtual XnStatus | RegisterToUserExit (XnModuleUserHandler UserExitCB, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromUserExit (XnCallbackHandle hCallback)=0
virtual XnStatus | RegisterToUserReEnter (XnModuleUserHandler UserReEnterCB, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromUserReEnter (XnCallbackHandle hCallback)=0
Public Member Functions inherited from xn::ModuleGenerator
virtual | ~ModuleGenerator ()
virtual XnStatus | StartGenerating ()=0
virtual XnBool | IsGenerating ()=0
virtual void | StopGenerating ()=0
virtual XnStatus | RegisterToGenerationRunningChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromGenerationRunningChange (XnCallbackHandle hCallback)=0
virtual XnStatus | RegisterToNewDataAvailable (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromNewDataAvailable (XnCallbackHandle hCallback)=0
virtual XnBool | IsNewDataAvailable (XnUInt64 &nTimestamp)=0
virtual XnStatus | UpdateData ()=0
virtual XnUInt32 | GetDataSize ()=0
virtual XnUInt64 | GetTimestamp ()=0
virtual XnUInt32 | GetFrameID ()=0
virtual ModuleMirrorInterface * | GetMirrorInterface ()
virtual ModuleAlternativeViewPointInterface * | GetAlternativeViewPointInterface ()
virtual ModuleFrameSyncInterface * | GetFrameSyncInterface ()
Public Member Functions inherited from xn::ModuleProductionNode
virtual | ~ModuleProductionNode ()
virtual XnBool | IsCapabilitySupported (const XnChar *)
virtual XnStatus | SetIntProperty (const XnChar *, XnUInt64)
virtual XnStatus | SetRealProperty (const XnChar *, XnDouble)
virtual XnStatus | SetStringProperty (const XnChar *, const XnChar *)
virtual XnStatus | SetGeneralProperty (const XnChar *, XnUInt32, const void *)
virtual XnStatus | GetIntProperty (const XnChar *, XnUInt64 &) const
virtual XnStatus | GetRealProperty (const XnChar *, XnDouble &) const
virtual XnStatus | GetStringProperty (const XnChar *, XnChar *, XnUInt32) const
virtual XnStatus | GetGeneralProperty (const XnChar *, XnUInt32, void *) const
virtual ModuleExtendedSerializationInterface * | GetExtendedSerializationInterface ()
virtual ModuleLockAwareInterface * | GetLockAwareInterface ()
virtual ModuleErrorStateInterface * | GetErrorStateInterface ()
virtual ModuleGeneralIntInterface * | GetGeneralIntInterface (const XnChar *)

## Constructor & Destructor Documentation

## ~ModuleUserGenerator()

virtual xn::ModuleUserGenerator::~ModuleUserGenerator | ( |  | ) |

inline virtual

## Member Function Documentation

## GetCoM()

virtual XnStatus xn::ModuleUserGenerator::GetCoM | ( | XnUserID | user,
|  | XnPoint3D & | com )

pure virtual

## GetData()

virtual const void * xn::ModuleUserGenerator::GetData | ( |  | ) |

inline virtual

Implements xn::ModuleGenerator.

## GetNumberOfUsers()

virtual XnUInt16 xn::ModuleUserGenerator::GetNumberOfUsers | ( |  | ) |

pure virtual

## GetPoseDetectionInteface()

virtual ModulePoseDetectionInteface * xn::ModuleUserGenerator::GetPoseDetectionInteface | ( |  | ) |

inline virtual

## GetSkeletonInterface()

virtual ModuleSkeletonInterface * xn::ModuleUserGenerator::GetSkeletonInterface | ( |  | ) |

inline virtual

## GetUserPixels()

virtual XnStatus xn::ModuleUserGenerator::GetUserPixels | ( | XnUserID | user,
|  | XnSceneMetaData * | pScene )

pure virtual

## GetUsers()

virtual XnStatus xn::ModuleUserGenerator::GetUsers | ( | XnUserID * | pUsers,
|  | XnUInt16 & | nUsers )

pure virtual

## RegisterToUserExit()

virtual XnStatus xn::ModuleUserGenerator::RegisterToUserExit | ( | XnModuleUserHandler | UserExitCB,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## RegisterToUserReEnter()

virtual XnStatus xn::ModuleUserGenerator::RegisterToUserReEnter | ( | XnModuleUserHandler | UserReEnterCB,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## RegisterUserCallbacks()

virtual XnStatus xn::ModuleUserGenerator::RegisterUserCallbacks | ( | XnModuleUserHandler | NewUserCB,
|  | XnModuleUserHandler | LostUserCB,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## UnregisterFromUserExit()

virtual void xn::ModuleUserGenerator::UnregisterFromUserExit | ( | XnCallbackHandle | hCallback | ) |

pure virtual

## UnregisterFromUserReEnter()

virtual void xn::ModuleUserGenerator::UnregisterFromUserReEnter | ( | XnCallbackHandle | hCallback | ) |

pure virtual

## UnregisterUserCallbacks()

virtual void xn::ModuleUserGenerator::UnregisterUserCallbacks | ( | XnCallbackHandle | hCallback | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h